# cZlib 1.2.5 sources for Gint

Need to have a fully working gcc toolchain for SH3/SH4 architecture.

Compilation is done for all targets with a single:

```bash
% fxsdk build-fx install
```

You can also use the `giteapc install Slyvtt/cZlib` command to get an automatic install.

## Using in a program

With CMake:

```cmake
find_package(cZlib 1.2.5 REQUIRED)
target_link_libraries(<TARGET> PRIVATE cZlib::cZlib)
```

With make, link with `-lcZlib`.

In the C/C++ source, `#include <zlib.h>`.
